/* ========================================================================
 * Here's our custom JavaScript
 * ======================================================================== */
(function ($) {
  $(document).ready(function () {
    // @since 0.0.28
    $('body.folded').removeClass('folded');

    // @since 0.0.23
    // $('button, a.button, a.button-primary, a.page-title-action').addClass('waves-effect waves-light');
    $('a.button, a.button-primary, a.page-title-action').addClass(
      'waves-effect waves-light'
    );
    // $('input.button').addClass('waves-effect waves-light');

    /**
     * Ajust Tooltip
     */
    (function addTooltip() {
      $('.tooltiped.tooltip-ajust').each(function () {
        var $target = $(this).find('> a, > div');
        var tooltip = $target.attr('title');

        $target.removeAttr('title');
        $(this).attr('data-tooltip', tooltip);
      });
    })();

    /**
     * Active menus now stay open
     */
    (function openActiveMenu() {
      $('a.wp-menu-open.menu-top').addClass('active');
    })();

    /**
     * Fixes of other plugins
     */
    (function fixPlugins() {
      // Add Wrap where it is suposed to be
      $('#wpas_panel').addClass('wrap');
      //$('#odb-options-wrap, .odb-padding-left').addClass('wrap');
      $('#psp-wrapper').addClass('wrap');
      // Swift Secutiry
      $('#swift-security-items').addClass('wrap').prepend('<h1></h1>');
      $('#NotificationForm, #CodeScannerForm')
        .addClass('wrap')
        .addClass('ss-base64-armored');
      $('.ss-base64-armored').addClass('wrap');
      $('#codescanner-container').addClass('wrap').prepend('<h1></h1>');

      // WP Media Folder
      $('#form_list_size')
        .addClass('wrap')
        .parent()
        .find('h2')
        .prependTo($('#form_list_size'));

      // CiviCRM
      $('#All').addClass('wrap');
      $('#crm-container').addClass('wrap');

      // CQPIM Ajustments
      $('body.cqpim_page_tasks').find('h1').insertAfter('.wrap h2:first');

      // piwik
      $('#plugin-options-wrap').addClass('wrap');

      // Optinlinks
      $('.opt_header_link')
        .parent()
        .parent()
        .addClass('opt_admin_header_')
        .prependTo('.wrap');

      // Remove classes from Premium SEO Pack
      $('#message').removeClass('aaFrm-message_activate');

      // Remove old icons
      $('.wrap > .icon32').remove();

      // MyMail settings fix
      $('body.settings_page_newsletter-settings .wrap, #form_list_size').append(
        '<br class="clearfix">'
      );

      /**
       * Fix move
       */
      // Move .notice, .updated and .error alert boxes. Don't move boxes designed to be inline.
      $firstHeading = $('.wrap > h1:first');

      // Back compatibility: if there is no H1, apply to first H2.
      if (!$firstHeading.length) {
        $firstHeading = $('.wrap h2:first');
      }

      $firstHeading.nextAll('.update-nag').addClass('below-h2');
      $('.update-nag').not('.below-h2, .inline').insertAfter($firstHeading);

      /**
       * Convert Pro
       */
      $('.cp-refresh-templates').appendTo('.cp-popup-container');
      $('.cp-template-goal').prependTo('.cp-popup-container');

      /**
       * ZeroBSCRM
       */
      $('#zbs-hide-main-menu, #zbs-admin-top-bar')
        .hide()
        .prependTo('#wpbody-content')
        .show();

      if ($('#zbs-admin-top-bar').get(0)) {
        $('body').addClass('zero-bs-page');
      }
    })();

    /**
     * Initialize Plugins
     */

    // Parallax
    $('.mwp-parallax').parallax();
    // Tooltip
    $('.tooltiped').tooltip({
      delay: 50,
      position: 'bottom',
      tooltip: function () {
        return $(this).attr('title');
      },
    });

    /**
     * Move Footer to inside the block
     */
    (function ajustSelect() {
      // Material Select
      // $('select.material-select').material_select();
    })();

    /**
     * Add Wave classes to buttons
     */
    (function ajustButtons() {
      //$('.button').addClass('btn btn-flat waves-effect waves-light');
    })();

    /**
     * Add classes to admin menu
     */
    (function ajustAdminMenu() {
      //          $('#adminmenu').addClass('side-nav fixed');
      //
      //          // Initialize collapse button
      //          $(".button-collapse").sideNav();
      //          // Initialize collapsible
      //          $('.collapsible').collapsible();

      $('#collapse-menu').off('click.collapse-menu');

      // Deleta collapsible
      $('#collapse-menu').hide();

      // Ajusts of the collapsible
      // class="collapsible" data-collapsible="accordion"
      var $hasSubmenu = $('.wp-has-submenu');

      $hasSubmenu.each(function () {
        // Check if it really has submenus
        // if ($(this).find('ul').length === 0) {return;}

        // Pegamos menu top
        $(this)
          .find('.menu-top')
          .click(function (e) {
            e.preventDefault();
          })
          .addClass('collapsible-header')
          .end()
          // Pegaos submenu
          .find('.wp-submenu')
          .addClass('collapsible-body')
          .end();
      });

      // WP Clients FIX
      $('ul.subsubmenu li a').off('hover');
      $('li.toplevel_page_wpclients .wp-submenu > li').each(function () {
        var subsubmenu = $(this).find('.subsubmenu');
        if (subsubmenu.length > 0) {
          subsubmenu.each(function () {
            $(this)
              .parent()
              .click(function (e) {
                e.preventDefault();
              })
              .addClass('collapsible-header')
              .find('.subsubmenu')
              .addClass('collapsible-body')
              .end();
          });
        }
      });
      // end WP Clients Fix

      // Ativa collapsible
      $('#adminmenu').collapsibleMWP({
        accordion: true,
      });

      // Always remove suto-fold class
      $(window).on('resize', function () {
        var width = $(window).width();
        if (width > 782 && width <= 1224) {
          $('body').removeClass('auto-fold');
        }
      });
    })();

    /**
     * Solidify Header
     */
    (function solidifyHeader() {
      if ($('body.gutenberg-editor-page').length) {
        return $('#wpadminbar').addClass('solid');
      }

      // Only run this if we have in fact the elements need for it to run.
      if ($('.mwp-parallax-container').length === 0) {
        return false;
      }

      // get the value of the bottom of the #main element by adding the offset of that element plus its height, set it as a variable
      var mainbottom =
        $('.mwp-parallax-container').offset().top +
        $('.mwp-parallax-container').height() -
        155;

      function checkOpacity() {
        // we round here to reduce a little workload
        stop = Math.round($(window).scrollTop());
        percent = 0.8 - stop / mainbottom;
        // console.log(percent);

        // change image opacity
        if (!$('body').hasClass('material-wp-no-opacity')) {
          $('.mwp-parallax-container')
            .find('img.mwp-parallax-img')
            .css('opacity', percent);
        } // end if;

        if (stop > mainbottom) {
          $('#wpadminbar').addClass('solid');
        } else {
          $('#wpadminbar').removeClass('solid');
        }
      }

      // on scroll,
      $(window).on('scroll', checkOpacity);
      // Run onload
      checkOpacity();
    })();

    /**
     * Now we create our expand button
     */
    (function () {
      // Create the expand button
      var button =
        '<div id="mwp-expand-button" class="mwp-expand"><i class="fa fa-arrows-alt"></i></div>';
      button =
        '<div id="mwp-expand-button" class="hide-if-no-js screen-meta-toggle"><button type="button" class="button show-settings waves-effect waves-light expand">' +
        materialwpl10n.expandLabel +
        '</button></div>';

      $container = $('#screen-meta-links');

      // Check if it exists
      if ($container.length > 0) {
        $container.append(button);
      } else {
        $('#screen-meta').after('<div id="screen-meta-links"></div>');
        $('#screen-meta-links').append(button);
      }
    })();

    // WP 4.7
    // Adjust the action buttons, moving them back to inside the h1
    $('.wrap > a.page-title-action').appendTo('.wrap .wp-heading-inline');

    // Add the expander
    $('#mwp-expand-button').on('click', function (e) {
      e.preventDefault();

      $(this).find('button').toggleClass('expand').toggleClass('compress');
      // Expand the panel
      $('#wpbody-content').toggleClass('mwp-expanded');
      $('body').toggleClass('mwp-expanded');
    });

    /** Fix for the upload theme button */
    $('.upload-view-toggle').appendTo($('.wrap .wp-heading-inline'));

    /**
     * Redefine the function WP uses to mess up with our menus
     */
    //        function adjustSubmenu($menuItem) {
    //          console.log('lol');
    //        }

    /**
     * Ajust forms inputs so they can fit our scripts
     */

    // Ajust checkboxes and radio buttons
    //        (function ajustCheckboxes() {
    //          var $label = $('label');
    //
    //          $label.each(function() {
    //            var $input = $(this).find('input[type="checkbox"], input[type="radio"]');
    //            $input.insertBefore($(this));
    //
    //            // add for attr
    //            $(this).attr('for', $input.attr('id'));
    //          });
    //
    //          // Add gap
    //          $('input[type="radio"]').addClass('with-gap');
    //        })();
    //
    //        // Ajust Inputs across the app
    //        (function ajustTextarea() {
    //          $('textarea').addClass('materialize-textarea');
    //        })();
    //
    //        // Ajust Inputs across the app
    //        function ajustTextInputs() {
    //          // get tables
    //          var $line = $('table.form-table tr');
    //
    //          // For each tr, finds th, gets label and copy it to td
    //          $line.each(function() {
    //            $(this).find('label').prependTo($(this).find('td'));
    //
    //            // Add inout field only in input text, password cases
    //            if ($(this).find('input').attr('type') === 'text' || $(this).find('input').attr('type') === 'password') {
    //              $(this).find('td').addClass('input-field');
    //            }
    //          });
    //
    //          // Deletes TH
    //          $line.find('th').remove();
    //
    //        }

    $('#woocommerce-embedded-root .woocommerce-layout__header').prependTo(
      '#wpbody-content .woocommerce-layout'
    );
  });
})(jQuery);
