// HTML fix admin bar

.wp-editor,
.block-editor-page {

  .edit-post-layout__content {
    margin-left:0 !important;
    position: relative !important;
    top: 0 !important;
    min-height: calc(100vh - (56px + <?php echo $this->options->getOption('adminbar-height'); ?>px));
  }

  .components-drop-zone__provider {
      min-height: calc(100vh - (56px + <?php echo $this->options->getOption('adminbar-height'); ?>px));
      height: 100%;
  }

  .block-editor__container {
      min-height: calc(100vh - (56px + <?php echo $this->options->getOption('adminbar-height'); ?>px));
  }
}

@media only screen and (min-width: 601px) {
  html.wp-toolbar {
    padding-top: <?php echo $this->options->getOption('adminbar-height'); ?>px;
  }
}

div.theme-overlay div.theme-wrap {
  top: <?php echo $this->options->getOption('adminbar-height'); ?>px + 30px;
}

.debug-bar-maximized #querylist {
  top: <?php echo $this->options->getOption('adminbar-height'); ?>px;
}

html.wp-toolbar,
#wp-content-editor-tools {
  background-color: <?php echo $this->options->getOption('background-color'); ?>;
}

html body.login {
  background-color: <?php echo $this->options->getOption('background-color'); ?> !important;
}

.wrap > h1:first-child,
.wrap > h2:first-child {
  background-color: darken(<?php echo $this->options->getOption('background-color'); ?>, 2%);
}

@media (min-width: 768px) {
  // Menu height and Font-size
  body #adminmenu .wp-submenu-head div.wp-menu-name,
  body #adminmenu a.menu-top div.wp-menu-name {
    font-size: <?php echo $this->options->getOption('menu-font-size'); ?>px !important;
    line-height: <?php echo $this->options->getOption('menu-item-height'); ?>px !important; 
  }
}

@function pick-visible-color($bg, $c1: #222, $c2: #fff, $percentage: 60) {
  @if (lightness($bg) > $percentage) {
    @return $c1; // Lighter backgorund, return dark color
  } @else {
    @return $c2; // Darker background, return light color
  }
}

body #adminmenu, #adminmenu .wp-submenu, #adminmenuback, #adminmenuwrap {
  width: <?php echo $this->options->getOption('menu-width'); ?>px;
}

@media only screen and (min-width: 960px) {

  body div#wpcontent, div#wpfooter {
    margin-left: <?php echo $this->options->getOption('menu-width'); ?>px + 30px !important;
  }

  body .edit-post-layout__content {
    margin-left: <?php echo $this->options->getOption('menu-width'); ?>px + 30px !important;
  }

  body .edit-post-header {
    left: <?php echo $this->options->getOption('menu-width'); ?>px + 30px !important;
  }

  body .edit-post-header {
    top: <?php echo $this->options->getOption('adminbar-height'); ?>px !important;
  }

}

div.wu-setup {
  padding-top: <?php echo $this->options->getOption('adminbar-height'); ?>px + 50px !important;
}

body .edit-post-sidebar {
  top: <?php echo $this->options->getOption('adminbar-height'); ?>px + 56px !important;
}

body .edit-post-layout .editor-post-publish-panel {
  top: <?php echo $this->options->getOption('adminbar-height'); ?>px !important;
}

/* Links */

$mwp-link-color: pick-visible-color(<?php echo $this->options->getOption('primary-color'); ?>, <?php echo $this->options->getOption('accent-color'); ?>, <?php echo $this->options->getOption('primary-color'); ?>, 80);

.wp-admin a, body.login a {
//a {
	color: $mwp-link-color;

	&:hover,
	&:active,
	&:focus {
		color: darken($mwp-link-color, 10%);
	}
}

a.nav-tab {
  color: #666 !important;
  &.active {
    color: #000 !important;
  }
}

/* custom Badges */
.badge.new,
#adminmenu .awaiting-mod,
#adminmenu .update-plugins {
  background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
  color: pick-visible-color(<?php echo $this->options->getOption('accent-color'); ?>);
  
  &.badge.new.no-new {
    min-width: 0 !important;
    padding-left: 5px;
    padding-left: 5px;
  }
  
  &.badge.new.no-new::after {
    content: "" !important;
  }
  
}

/* Core UI */
.wp-core-ui {
  
  .button-primary,
  .components-button.is-button.is-primary,
  .wrap a.page-title-action,
  .wrap > h1:first-child a,
  .wrap > h2:first-child a  {
    //@include button( $button-color );
    background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
    color: pick-visible-color(<?php echo $this->options->getOption('accent-color'); ?>);
    text-shadow: 0 -1px 1px darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%),1px 0 1px darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%),0 1px 1px darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%),-1px 0 1px darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%) !important;
    
    border-bottom-color: darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%) !important;
    
    &:hover,
	&:active,
	&:focus {
      background-color: darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%) !important;
      color: pick-visible-color(<?php echo $this->options->getOption('accent-color'); ?>);
    }
  }

  .wp-ui-primary {
    color: $text-color;
    background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
  }
  .wp-ui-text-primary {
    color: $base-color;
  }

  .wp-ui-highlight {
      color: $menu-highlight-text;
      background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
  }
  .wp-ui-text-highlight {
      color: $menu-highlight-background;
  }

  .wp-ui-notification {
      color: $menu-bubble-text;
      background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
  }
  .wp-ui-text-notification {
      color: $menu-bubble-background;
  }

  .wp-ui-text-icon {
      color: $menu-icon;
  }
  
}

#wpadminbar {
  background-color: <?php echo $this->options->getOption('primary-color'); ?> !important;
}

#wpadminbar > .ab-top-menu > .menupop {
  height: <?php echo $this->options->getOption('adminbar-height'); ?>px !important;
}

#wpadminbar li.custom-site-logo {
  width: <?php echo $this->options->getOption('menu-width'); ?>px !important;
  height: <?php echo $this->options->getOption('adminbar-height'); ?>px !important;
  line-height: <?php echo $this->options->getOption('adminbar-height'); ?>px !important;
  background-color: <?php echo $this->options->getOption('logo-bg-color'); ?> !important;

  img {
    max-height: 100%;
  }

  &:hover {
    background-color: darken(<?php echo $this->options->getOption('logo-bg-color'); ?>, 10%) !important;
  }
}

#wpadminbar:not(.mobile) .ab-top-menu > li.custom-site-logo:hover > .ab-item {
  background-color: transparent !important;
}

#wpbody-content h2:first-child:not(.nav-tab-wrapper)>a, 
#wpbody-content h1:first-child:not(.nav-tab-wrapper)>a, 
#wpbody-content >.subsubsub:not(.nav-tab-wrapper)>a,
.page-title-action,

// My mail and other plugins ajustment
#wpbody-content h2 .add-new-h2 {
  
  background-color: <?php echo $this->options->getOption('accent-color'); ?> !important;
  
  &:hover,
  &:active,
  &:focus {
    background-color: darken(<?php echo $this->options->getOption('accent-color'); ?>, 10%) !important;
  }
}

// Toggle
.wp-responsive-open #wpadminbar #wp-admin-bar-menu-toggle a {
  background-color: transparent !important;
}

// Parallax block BG
div#parallax-main-block > div.parallax {
  background-color: <?php echo $this->options->getOption('parallax-bg-color'); ?> !important;

	<?php if ($this->options->getOption('parallax-options') == 'parallax') : ?>
  img {opacity: 1;}
	<?php endif; ?>
}

// Ajusts in width and hights
/* Desktops and laptops computers */

/**
 * Fix Tooltip
 */
.rtl {
  div#wpcontent, div#wpfooter {
    margin-left: 0 !important;
  }
  div.material-tooltip {
    left:0; /** fix **/
    top:0;
    will-change: top, left; /** fix **/
  }
}

// Avatar Adjustments
#wpadminbar .quicklinks li#wp-admin-bar-my-account.with-avatar > a img {
  top: (<?php echo $this->options->getOption('adminbar-height'); ?> / 2px);
}

body #adminmenu .wp-submenu-head, 
body #adminmenu a.menu-top {
  line-height: <?php echo $this->options->getOption('menu-item-height'); ?> + 20px
}

/**
 * Menu Icon Random Colors
 */

<?php
/**
 * If the user chose to use random colors, use them
 */

if ($this->options->getOption('menu-random-color')) :

	?>
     // Sorted Icon color
$list: #9c27b0,
#795548,
#689f38,
#db4437,
#ff6839,
#3f51b5,
#303F9F,
#00bcd4,
#8BC34A,
#F44336,
#FFA000,
#607D8B,
#616161,
#616161,
#7C4DFF,
#9c27b0,
#795548,
#689f38,
#db4437,
#ff6839,
#3f51b5,
#303F9F,
#00bcd4,
#8BC34A,
#F44336,
#FFA000,
#607D8B,
#616161,
#616161,
#7C4DFF,
#9c27b0,
#795548,
#689f38,
#db4437,
#ff6839,
#3f51b5,
#303F9F,
#00bcd4,
#8BC34A,
#F44336,
#FFA000,
#607D8B,
#616161,
#616161,
#7C4DFF;
$index: 1;
@each $color in $list {
    #adminmenu li.menu-top:not(.wp-menu-separator):nth-child(#{$index}) {
        div.wp-menu-image,
        div.wp-menu-image:before {
            color: nth($list, $index) !important;
        }
    }
    $index: $index+1;
}

	<?php
	/**
	 * Otherwise, use the color he listed
	 */

else :

	?>
    #adminmenu li.menu-top:not(.wp-menu-separator) {
    div.wp-menu-image,
    div.wp-menu-image:before {
        color: 
        <?php
        echo $this->options->getOption('menu-custom-color');
        ?>
        !important;
    }
}

<?php endif;
?>
