<?php

global $pagenow;

/**
 * Create our admin panel, so qe can add our styling and setup configs
 */
$panel = $this->options->createAdminPanel(array(
  'id'    => $this->slugfy('settings'),
  'name'  => __('PRO Theme', 'pro-theme'),
  'title' => __('PRO Theme', 'pro-theme'),
  'desc'  => __('The badges in each tab represents the number of new options in this version!<br>Also, check the "Activate PRO Theme" tab to join our <strong>CodeCanyon Happy Buyers Club</strong>!', 'pro-theme'),
  'icon'  => 'dashicons-art',
  //'capability' => $this->options->getOption('super-admin-only') ? 'manage_network' : 'manage_options'
));

/**
 * Start creating tab
 */

// Styling Tab
$style = $panel->createTab(array(
  'id'   => 'style',
  'name' => __('Styling Settings', 'pro-theme').'<span class="new badge no-new" style="margin-left:5px;" title="'. sprintf(__('%s new options!'), 1) .'">1</span>',
));

// Functionality Tabs
$func = $panel->createTab(array(
  'id'   => 'func',
  'name' => __('Functionality', 'pro-theme'), //.'<span class="new badge no-new" style="margin-left:5px;" title="'. sprintf(__('%s new options!'), 1) .'">1</span>',
));

// Custom CSS and JS Tab
$customCode = $panel->createTab(array(
  'name' => __('Custom CSS', 'pro-theme'),
));

/**
 * Custom Code tab options
 */

$customCode->createOption(array(
  'id'   => 'custom-css',
  'type' => 'code',
  'lang' => 'scss',
  'name' => __('Custom CSS Code', 'pro-theme'),
  'desc' => __('Enter your custom CSS code to be applied to the dashboard! SCSS syntax is supported!', 'pro-theme'),
));

$customCode->createOption(array(
  'type' => 'save',
));

/**
 * Start creating options
 */

// Primary Color
$style->createOption(array(
  'id'   => 'primary-color',
  'name' => __('Primary Color', 'pro-theme'),
  'desc' => __('This color will be used in the admin bar.', 'pro-theme'),
  'type' => 'color',
  'default' => '#3e4757',
));

// Accent Color
$style->createOption(array(
  'id'   => 'accent-color',
  'name' => __('Accent Color', 'pro-theme'),
  'desc' => __('This color will be used in the buttons and links across the admin.', 'pro-theme'),
  'type' => 'color',
  'default' => '#515b6f',
));

// Accent Color
$style->createOption(array(
  'id'   => 'logo-bg-color',
  'name' => __('Logo BG Color', 'pro-theme'),
  'desc' => __('This color is applied to the Logo block on the top bar.', 'pro-theme'),
  'type' => 'color',
  'default' => '#515b6f',
));

// Background Color
$style->createOption(array(
  'id'   => 'background-color',
  'name' => __('Body Background Color', 'pro-theme'),
  'desc' => __('Change page\'s body background color.', 'pro-theme'),
  'type' => 'color',
  'default' => '#EDF2F5',
));

// Sidemenu Width
$style->createOption(array(
  'id'   => 'menu-width',
  'name' => __('Admin Menu Width', 'pro-theme'),
  'desc' => __('Change the width of the sidemenu.', 'pro-theme'),
  'type' => 'number',
  'unit' => 'px',
  'default' => '240',
  'min'  => '210',
  'max'  => '350',
));

// Sidemenu Width
$style->createOption(array(
  'id'   => 'menu-item-height',
  'name' => __('Admin Menu Item Height', 'pro-theme'),
  'desc' => __('Change the height of the admin menu items height.', 'pro-theme'),
  'type' => 'number',
  'unit' => 'px',
  'default' => '60',
  'min'  => '40',
  'max'  => '100',
));

// Sidemenu Item Height
$style->createOption(array(
  'id'   => 'menu-font-size',
  'name' => __('Admin Item Font Size', 'pro-theme'),
  'desc' => __('Change the font size of the admin menu items.', 'pro-theme'),
  'type' => 'number',
  'unit' => 'px',
  'default' => '14',
  'min'  => '12',
  'max'  => '20',
));

// Parallax Block Height
//$style->createOption(array(
//  'id'   => 'parallax-height',
//  'name' => __('Parallax Block Height', 'pro-theme'),
//  'desc' => __('Change the height of the parallax block.', 'pro-theme'),
//  'type' => 'number',
//  'unit' => 'px',
//  'default' => '300',
//  'min'  => '250',
//  'max'  => '300',
//));

/**
 * New in 0.0.8: Admin Bar height selector
 */
$style->createOption(array(
  'id'   => 'adminbar-height',
  'name' => __('Adminbar Height', 'pro-theme'),
  'desc' => __('Change the height of the adminbar.', 'pro-theme'),
  'type' => 'number',
  'unit' => 'px',
  'default' => '80',
  'min'  => '50',
  'max'  => '100',
));

/**
 * New in 0.0.8: Admin Bar subitem height selector
 */
$style->createOption(array(
  'id'   => 'adminbar-subitem-height',
  'name' => __('Adminbar Subitem Height', 'pro-theme'),
  'desc' => __('Change the height of the items of the adminbar submenu.', 'pro-theme'),
  'type' => 'number',
  'unit' => 'px',
  'default' => '40',
  'min'  => '25',
  'max'  => '55',
));

//// Parallax options
//$style->createOption(array(
//  'id'   => 'parallax-options',
//  'name' => __('Parallax Block Settings', 'pro-theme'),
//  'desc' => __('Here you can select the style of the display of the parallax block. You can choose to use a solid color, the parallax with the opacity effect or just the parallax effect.', 'pro-theme'),
//  'type' => 'radio',
//  'default' => 'default',
//  'options' => array(
//    'default'     => __('Parallax + Opacity Effect', 'pro-theme'),
//    'parallax'    => __('Only Parallax Effect', 'pro-theme'),
//    'solid-color' => __('Solid Color', 'pro-theme'),
//  ),
//));
//
//// Menu icon Color Custom
//$style->createOption(array(
//  'id'      => 'parallax-bg-color',
//  'name'    => __('Parallax BG Color', 'pro-theme'),
//  'desc'    => __('Select the background color of the parallax block.', 'pro-theme'),
//  'type'    => 'color',
//  'default' => '#2296F3',
//));
//
//// preset BG
//$style->createOption(array(
//  'id'   => 'default-bg',
//  'name' => __('Preset Parallax Block BG', 'pro-theme'),
//  'desc' => __('Select the background image of the parallax block from one of our preset images. You you prefer, you can choose your own image using the field bellow.', 'pro-theme'),
//  'type' => 'radio-image',
//  'default' => 'bg1',
//  'options' => array(
//    'bg1'   => $this->getAsset('bgs-small/bg1.jpg'),
//    'bg2'   => $this->getAsset('bgs-small/bg2.jpg'),
//    'bg3'   => $this->getAsset('bgs-small/bg3.jpg'),
//    'bg4'   => $this->getAsset('bgs-small/bg4.jpg'),
//    //'no-bg' => $this->getAsset('bgs-small/no-bg.jpg'),
//  ),
//));
//
// Custom BG
$style->createOption(array(
  'id'   => 'custom-bg',
  'name' => __('Login Background Image', 'pro-theme'),
  'desc' => __('This image will be used as a background image in the login page.', 'pro-theme'),
  'type' => 'upload',
  'placeholder' => __('Select your custom login page BG.', 'pro-theme'),
  'default' => false,
));

// Custom Logo
$style->createOption(array(
  'id'   => 'custom-logo',
  'name' => __('Custom Logo', 'pro-theme'),
  'desc' => __('Select the custom Logo you want to use. It will be displayed in the admin bar and in the login page as well.', 'pro-theme'),
  'type' => 'upload',
  'placeholder' => __('Select your custom logo image.', 'pro-theme'),
  'default' => $this->getAsset('logo.png'),
));

// Save Button
$style->createOption(array(
  'type' => 'save',
));

/**
 * Functionality Settings
 * All the Settings that relate to enablign and disabling functionality
 */

// Block Admin Menu
$func->createOption(array(
  'name' => __('Admin Menu', 'pro-theme'),
  'desc' => __('Use this block to change the settings regarding the admin menu', 'pro-theme'),
  'type' => 'heading',
));

// Enable menu editing
$func->createOption(array(
  'id'      => 'menu-reordering',
  'name'    => __('Menu Reordering', 'pro-theme'),
  'desc'    => __('If enabled, the reordering functionality will be presented to the backend users.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

/**
 * New in 0.0.5
 */

$func->createOption(array(
  'id'      => 'menu-icons',
  'name'    => __('Display Arrows', 'pro-theme'),
  // 'enabled' => __('Arrows', 'pro-theme'),
  // 'disabled' => __('Default Icons', 'pro-theme'),
  'desc'    => __('Select if you want to display the arrows on the menu items.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

/**
 * New in 0.0.6
 */
$func->createOption(array(
  'id'      => 'menu-icons-display',
  'name'    => __('Display WordPress Icons', 'pro-theme'),
  // 'enabled' => __('Arrows', 'pro-theme'),
  // 'disabled' => __('Default Icons', 'pro-theme'),
  'desc'    => __('Select if you want to display original WordPress icons on the menu items.', 'pro-theme'),
  'type'    => 'enable',
  'default' => false,
));

// Enable Menu Random colors
$func->createOption(array(
 'id'      => 'menu-random-color',
 'name'    => __('Menu Icons Radom Colors', 'pro-theme'),
 'desc'    => __('Use this option to enable/disable the random colors for the admin menu links.', 'pro-theme'),
 'type'    => 'enable',
 'default' => false,
));

// Menu icon Color Custom
$func->createOption(array(
 'id'      => 'menu-custom-color',
 'name'    => __('Menu Icons Custom Color', 'pro-theme'),
 'desc'    => __('Select your own color to the admin menu icons. Note: this only works for the icon-font icons and this options is only user if the "Menu Icons Random
 Colors" option is disabled.', 'pro-theme'),
 'type'    => 'color',
 'default' => '#333',
));

$func->createOption(array(
  'id'      => 'menu-arrows-all',
  'name'    => __('Arrows in All Items', 'pro-theme'),
  'desc'    => __('If you enable this and the arrows option is selected above, the arrows will be displayed for every menu item, if disabled, they will only be disabled for items with subitems.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

// Chnage the menu Label 
//$func->createOption(array(
//  'id'          => 'menu-label',
//  'name'        => __('Menu Label', 'pro-theme'),
//  'desc'        => __('Select the little text that appears ontop of the admin menu. Leave blank to display nothing.', 'pro-theme'),
//  'placeholder' => 'This will display nothing.',
//  'type'        => 'text',
//  'default'     => __('Main Menu', 'pro-theme'),
//));

// Change the menu position
//$func->createOption(array(
//  'id'          => 'menu-position',
//  'name'        => __('Menu Position', 'pro-theme'),
//  'desc'        => __('You can position the admin menu in either side of the screen.', 'pro-theme'),
//  'type'        => 'radio',
//  'default'     => 'left',
//  'options'     => array(
//    'left'      => __('Left', 'pro-theme'),
//    'right'     => __('Right', 'pro-theme'),
//  )
//));

// Save Button
$func->createOption(array(
  'type' => 'save',
));

// -- Admin Bar --

// Block Admin Menu
$func->createOption(array(
  'name' => __('Admin Bar', 'pro-theme'),
  'desc' => __('Use this block to change the settings regarding the admin bar', 'pro-theme'),
  'type' => 'heading',
));

$func->createOption(array(
  'id'      => 'admin-bar-frontend',
  'name'    => __('Admin Bar in the Frontend', 'pro-theme'),
  'desc'    => __('You can choose to use the default WordPress admin bar styles in the frontend by disabling our custom styles.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

// Save Button
$func->createOption(array(
  'type' => 'save',
));

// -- Login --

// Block Login Page 
$func->createOption(array(
  'name' => __('Login Page', 'pro-theme'),
  'desc' => __('Use this block to change some options of the login page.', 'pro-theme'),
  'type' => 'heading',
));

$func->createOption(array(
  'id'      => 'login-styles',
  'name'    => __('Styles in the Login Page', 'pro-theme'),
  'desc'    => __('You can choose to use the default WordPress login styles by disabling our custom styles.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

$func->createOption(array(
  'id'      => 'login-topbar',
  'name'    => __('Display Topbar in the Login page', 'pro-theme'),
  'desc'    => __('You can choose to display or hide the topbar in the login page.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

$func->createOption(array(
  'id'      => 'logo-link',
  'name'    => __('Link in the Logo', 'pro-theme'),
  'desc'    => __('Change the link in the logo displayed above the login form. Leave blank to link to your site\'s homepage.', 'pro-theme'),
  'type'    => 'text',
  'placeholder' => __('Defaults to your site\'s homepage', 'pro-theme'),
));

$func->createOption(array(
  'id'      => 'back-to-blog',
  'name'    => __('Display "Back to Blog" link?', 'pro-theme'),
  'desc'    => __('Using this option you can choose to display or hide the back to blog link in the admin form.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

// Save Button
$func->createOption(array(
  'type' => 'save',
));

// -- Help Tabs --

$func->createOption(array(
  'name' => __('Help and Screen Options Tab', 'pro-theme'),
  'desc' => __('Change the visibility of the Help and Screen Options tab of the WordPress admin.', 'pro-theme'),
  'type' => 'heading',
));

// Hide Help
$func->createOption(array(
  'id'      => 'display-help-tab',
  'name'    => __('Display Help Tab', 'pro-theme'),
  'desc'    => __('Use this option to change the visibility of the Help tab.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

// Hide Screen Options Tab
$func->createOption(array(
  'id'      => 'display-screen-tab',
  'name'    => __('Display Screen Options Tab', 'pro-theme'),
  'desc'    => __('Use this option to change the visibility of the Screen Options tab.', 'pro-theme'),
  'type'    => 'enable',
  'default' => true,
));

// Save Button
$func->createOption(array(
  'type' => 'save',
));



// -- Blacklist --
// 
$func->createOption(array(
  'name' => __('Page Blacklist & Target Settings', 'pro-theme'),
  'desc' => __('Use this section to blacklist some pages on PRO Theme. Pages that match that URL will not have the styles applied to them. You can always select the role or user to apply PRO Theme.', 'pro-theme'),
  'type' => 'heading',
));

$func->createOption(array(
  'id'      => 'pro-theme-blacklist',
  'name'    => __('Pages Blacklist', 'pro-theme'),
  'desc'    => __('Add URLs or URL fragments to exclude certain pages from receiving the PRO Theme styles. One URL per line.', 'pro-theme'),
  'type'    => 'textarea',
));

if (!function_exists('get_editable_roles')) {
  require_once ABSPATH . '/wp-admin/includes/user.php';
}

$roles = get_editable_roles();

$role_options = array_map(function($item) {
  return $item['name'];
}, $roles);

if (is_multisite() && is_network_admin()) {

  $role_options = array_merge(array(
    'super-admin' => __('Super Administrator', 'pro-theme'),
  ), $role_options);

} // end if;

$func->createOption(array(
  'id'      => 'pro-theme-roles',
  'name'    => __('Roles to Apply', 'pro-theme'),
  'desc'    => __('Select the roles to apply PRO Theme. Do not select anything to apply to all.', 'pro-theme'),
  'type'    => 'multicheck',
  'default' => array(),
  'options' => $role_options,
  'select_all' => true,
));

if (!is_multisite() || !is_network_admin()) {

  $users = $pagenow == 'admin.php' && isset($_GET['page']) && $_GET['page'] == 'pro-theme_settings' ? get_users(array(
    'blog_id' => get_current_blog_id(),
  )) : array();

  $user_options = array();

  foreach($users as $item) {

    
    if (is_multisite()) {
      $user_options[$item->ID] = sprintf("%s", $item->display_name);
    
  } else {
    
    $user_options[$item->ID] = sprintf("%s (%s)", $item->display_name, implode(', ', $item->roles));
    }

  } // end foreach;

  $func->createOption(array(
    'id'      => 'pro-theme-user',
    'name'    => __('Users to Apply', 'pro-theme'),
    'desc'    => __('Select the user to apply PRO Theme. Do not select anything to apply to all.', 'pro-theme'),
    'type'    => 'multicheck',
    'default' => array(),
    'options' => $user_options,
    'select_all' => true,
  ));

} // end if;

// Save Button
$func->createOption(array(
  'type' => 'save',
));
// -- END Blacklist --
// 